Package org.apache.sling.dynamicinclude

## Annotation Type Configuration.Config

    public static @interface Configuration.Config

### Optional Element Summary

Optional Elements
`boolean` `include$_$filter_config_add__comment`
`boolean` `include$_$filter_config_appendSuffix`
`boolean` `include$_$filter_config_disableIgnoreUrlParams`
`boolean` `include$_$filter_config_enabled`
`java.lang.String` `include$_$filter_config_extension`
`java.lang.String[]` `include$_$filter_config_ignoreUrlParams`
`java.lang.String` `include$_$filter_config_include$_$type`
`java.lang.String` `include$_$filter_config_path`
`java.lang.String` `include$_$filter_config_required__header`
`java.lang.String[]` `include$_$filter_config_resource$_$types`
`boolean` `include$_$filter_config_rewrite`
`java.lang.String` `include$_$filter_config_selector`
`java.lang.String` `include$_$filter_config_ttl`

### Element Detail

#### include$_$filter_config_enabled

    boolean include$_$filter_config_enabled

Default:
  false

#### include$_$filter_config_path

    java.lang.String include$_$filter_config_path

Default:
  "/content"

#### include$_$filter_config_resource$_$types

    java.lang.String[] include$_$filter_config_resource$_$types

Default:
  {}

#### include$_$filter_config_include$_$type

    java.lang.String include$_$filter_config_include$_$type

Default:
  "SSI"

#### include$_$filter_config_add__comment

    boolean include$_$filter_config_add__comment

Default:
  false

#### include$_$filter_config_selector

    java.lang.String include$_$filter_config_selector

Default:
  "nocache"

#### include$_$filter_config_extension

    java.lang.String include$_$filter_config_extension

Default:
  ""

#### include$_$filter_config_ttl

    java.lang.String include$_$filter_config_ttl

Default:
  ""

#### include$_$filter_config_required__header

    java.lang.String include$_$filter_config_required__header

Default:
  "Server-Agent=Communique-Dispatcher"

#### include$_$filter_config_ignoreUrlParams

    java.lang.String[] include$_$filter_config_ignoreUrlParams

Default:
  {}

#### include$_$filter_config_rewrite

    boolean include$_$filter_config_rewrite

Default:
  false

#### include$_$filter_config_appendSuffix

    boolean include$_$filter_config_appendSuffix

Default:
  true

#### include$_$filter_config_disableIgnoreUrlParams

    boolean include$_$filter_config_disableIgnoreUrlParams

Default:
  false